<app-loading *ngIf="isSubmitted"></app-loading>
<nz-modal [nzVisible]='showContent' [nzFooter]='null' (nzOnCancel)='doClose()'
          nzTitle="{{'partnership.pns-contract.label.downloadData'|translate}}" [nzWidth]='nzWidth'
          [nzCentered]='true'>
  <ng-container *nzModalContent style='padding: 0'>
    <form [formGroup]="form">
      <div nz-row [nzGutter]='[30,30]'>
        <!-- Vùng tải template import -->
        <mb-button mbButtonType='BORDER' class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='24'
                   (click)='doDownloadTemplate()'>
          <div class='mb__button--content--imp'>
            <div class='content__left'>
              <img alt="" src='/assets/icon/button/zip.png'>
              <span>{{'partnership.pns-contract.label.downloadTemplate'|translate}}</span>
            </div>
            <div class='content__right'><img alt="" src='/assets/icon/button/file.png'></div>
          </div>
        </mb-button>

        <!-- File import -->
        <!-- <label class="input__label">File import</label> -->
        <nz-upload nz-col
                   nzXs='24'
                   nzLg='24'
                   nzType='drag'
                   [nzMultiple]='false'
                   [(nzFileList)]="fileList"
                   [nzBeforeUpload]='beforeUpload'
                   [nzRemove]='doRemoveFile'
        >
          <div *ngIf="!isExistFileImport">
            <p class='ant-upload-drag-icon'>
              <img alt="" src='assets/icon/staff-manager/import.svg'>
            </p>
            <p class='ant-upload-text'>
              {{'partnership.pns-contract.label.uploadImportFile' | translate}}
            </p>
            <p class='ant-upload-hint'>
              {{'common.upload.supportExcelxlsx'|translate}}
            </p>
          </div>
          <div *ngIf="isExistFileImport" class="nz__upload--content">
            <p class='ant-upload-drag-icon'>
              <img style="width: 30px; margin-bottom: -10px" alt="" src='/assets/icon/staff-manager/export_excel.svg' />
            </p>
            <p class='ant-upload-text'>{{getFileName(fileImportName)}}</p>
            <p class='ant-upload-hint'>
              {{fileImportSize}} MB
            </p>
          </div>
        </nz-upload>
      </div>
      <div nz-row [nzGutter]='[30,30]' class='label__divider--wrap'>
        <div nz-col [nzXs]='24' [nzLg]='24' class='input__group'>
          <label
            class='label__divider'>{{'partnership.pns-contract.contractLiquidationSuggest.label.liquidationDocumentLabel' | translate}}</label>
        </div>
      </div>
      <nz-divider class='hrTag'></nz-divider>

      <div nz-row [nzGutter]='[30,30]'>
        <ng-container formArrayName='listFileDocument'>
          <nz-table nz-col nzXs='24' nzLg='24' [nzData]='listFileDocument?.controls' nzSize='small'
                    [nzShowPagination]='false' [nzPageSize]='listFileDocument?.controls.length' nzTableLayout="fixed">
            <thead>
            <tr>
              <th scope="col" nzWidth='40%'>{{'partnership.pns-contract.label.documentType' | translate}}</th>
              <th scope="col" nzWidth='50%'>{{'partnership.pns-contract.label.attachFile' | translate}}</th>
              <th scope="col" nzWidth='10%'></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor='let data of listFileDocument?.controls; let i = index; let first = first' [formGroupName]='i'>
              <td style="width: 40%">
                <mb-select [mbDataSelects]='listDocumentType'
                           mbKeyLabel='label'
                           mbKeyValue='value'
                           [mbDisable]='data.get("canNotDelete").value'
                           [mbType]="isSubmitted && data.controls['type']?.errors ? 'error' : 'default'"
                           [mbShowError]="isSubmitted && data.controls['type']?.errors != null"
                           [mbErrors]="data.controls['type']?.errors"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.documentType' | translate }}]"
                           mbPlaceholder="{{'partnership.pns-contract.label.documentType' | translate}}"
                           formControlName='type'></mb-select>
              </td>
              <td style="width: 50%">
                <mb-upload-file
                  (fileListChange)='onFileListChange($event, data)'
                  [fileList]="data.get('listDocuments').value"
                  mbTypeUpload='upload'
                  [mbTypeFileAvailable]="['jpg', 'png', 'pdf', 'doc', 'docx', 'xls', 'xlsx', 'tif', 'gif']"
                  [mbMultiple]='true'
                  (docIdsDeleteChange)='removeFile($event, data)'
                  [mbServiceName]='serviceName'
                ></mb-upload-file>
              </td>
              <td style="width: 10%" class='align-center'>
                <mb-button
                  (click)='addFileDocument()'
                  mbButtonIconType='AWESOME' mbPrefixIcon='far fa-plus-circle'
                  mbButtonSize='SMALL'
                  mbButtonTextColor='#141ED2' mbButtonType='NO_BORDER'
                ></mb-button>

                <mb-button
                  (click)='removeFileDocument(i)'
                  mbButtonIconType='AWESOME' mbPrefixIcon='far fa-trash-alt'
                  mbButtonSize='SMALL' [mbIsDisable]='first || data.get("canNotDelete").value'
                  mbButtonTextColor='#FA0B0B' mbButtonType='NO_BORDER'
                ></mb-button>
              </td>
            </tr>
            </tbody>
          </nz-table>
        </ng-container>
      </div>
    </form>

    <!-- Thao tác -->
    <div nz-row [nzGutter]='[10,10]'>
      <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonText="{{'common.button.cancel'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 mbButtonAvailableStyle='DEFAULT'
                 (click)='doClose()'></mb-button>
      <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                 mbButtonText="{{'common.upload.upload'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 (click)='doImportFile()'></mb-button>
    </div>
  </ng-container>
</nz-modal>
<nz-modal (nzOnCancel)='doCloseModal()' [nzCentered]='true' [nzVisible]='isModalError'
          nzTitle="{{'common.error.list'|translate}}" [nzWidth]='nzWidthError'>
  <div *nzModalContent>
    <nz-table [nzScroll]="{y: '300px' }" [nzData]='errorList' nzBordered='true' nzSize='small' nzShowPagination='false'>
      <thead>
      <tr>
        <th scope="col" nzAlign='center' nzWidth='40px'>#</th>
        <th scope="col" nzWidth='60px'>{{'common.table.row'|translate}}</th>
        <th scope="col" nzWidth='60px'>{{'common.table.column'|translate}}</th>
        <th scope="col">{{'common.error.description'|translate}}</th>
        <th scope="col" nzWidth='100px'>{{'common.error.value'|translate}}</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor='let data of errorList; let i = index'>
        <td nzAlign='center'>{{ i + 1 }}</td>
        <td nzAlign='center'>{{ data?.row }}</td>
        <td nzAlign='center'>{{ data?.columnLabel }}</td>
        <td><span [innerHtml]='data?.description'></span></td>
        <td><span [innerHtml]='data?.content'></span></td>
      </tr>
      </tbody>
    </nz-table>
    <div class='linkDownload' style='margin-top: 10px' *ngIf="isHiddenDownloadErrorFile">
      <a (click)='doDownloadFile()'>{{'common.error.downloadFile' | translate}}</a>
    </div>
  </div>
  <div *nzModalFooter>
    <mb-button (click)='doCloseModal()' mbPrefixIcon='close-circle'
               mbButtonText="{{'common.button.close'|translate}}" mbButtonAvailableStyle='DANGER'></mb-button>
  </div>
</nz-modal>

